T_R_TO_C_MANY_1D_FFT_FLOAT(3)

FUNCTION
t_r_to_c_many_1D_fft_float - Compute many 1D real to complex single precision FFTs.

SYNOPSIS
#include <karma_t.h>

unsigned int t_r_to_c_many_1D_fft_float

(float *a, unsigned int length, unsigned int elem_stride, unsigned int number, unsigned int dim_stride, int direction)

DESCRIPTION
This routine will perform a real to complex or complex to real FFT.

a   The array.

n   The number of elements to transform.

elem_stride
    The stride (in floats) of sucessive data elements.

number
    The number of transforms to perform.

dim_stride
    The stride (in floats) between sucessive data sets.

direction
    If the value is KARMA_FFT_FORWARD, the forward, real to complex transform is performed. If the value is KARMA_FFT_INVERSE, the inverse, complex to real transform is performed.

RETURN VALUE
A value indicating the success / failure status of the transform. See <-t_FFT_STATUS-> for a list of possible values.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/